## List live inputs `client.Stream.LiveInputs.List(ctx, params) (*LiveInputListResponse, error)` **get** `/accounts/{account_id}/stream/live_inputs` Lists the live inputs created for an account. To get the credentials needed to stream to a specific live input, request a single live input. ### Parameters - `params LiveInputListParams` - `AccountID param.Field[string]` Path param: Identifier. - `IncludeCounts param.Field[bool]` Query param: Includes the total number of videos associated with the submitted query parameters. ### Returns - `type LiveInputListResponse struct{…}` - `LiveInputs []LiveInputListResponseLiveInput` - `Created Time` The date and time the live input was created. - `DeleteRecordingAfterDays float64` Indicates the number of days after which the live inputs recordings will be deleted. When a stream completes and the recording is ready, the value is used to calculate a scheduled deletion date for that recording. Omit the field to indicate no change, or include with a `null` value to remove an existing scheduled deletion. - `Enabled bool` Indicates whether the live input is enabled and can accept streams. - `Meta unknown` A user modifiable key-value store used to reference other systems of record for managing live inputs. - `Modified Time` The date and time the live input was last modified. - `UID string` A unique identifier for a live input. - `Range int64` The total number of remaining live inputs based on cursor position. - `Total int64` The total number of live inputs that match the provided filters. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/stream" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) liveInputs, err := client.Stream.LiveInputs.List(context.TODO(), stream.LiveInputListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", liveInputs.LiveInputs) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "liveInputs": [ { "created": "2014-01-02T02:20:00Z", "deleteRecordingAfterDays": 45, "enabled": true, "meta": { "name": "test stream 1" }, "modified": "2014-01-02T02:20:00Z", "uid": "66be4bf738797e01e1fca35a7bdecdcd" } ], "range": 1000, "total": 35586 } } ```